#ifndef ACCSERVICE_H
#define ACCSERVICE_H

#include <QObject>
#include <QString>

#include <odb/core.hxx>

#pragma db object
class AccService : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString accServiceName READ accServiceName WRITE setAccServiceName)
    Q_PROPERTY(int price READ price WRITE setPrice)
    Q_PROPERTY(bool active READ active WRITE setActive)
    Q_PROPERTY(bool salePossible READ salePossible WRITE setSalePossible)
    Q_PROPERTY(ServiceType serviceType READ serviceType WRITE setServiceType)
    Q_ENUMS(ServiceType)

public:
    AccService();



    enum ServiceType { CAR,TENT,OTHER };

    int id() const;
    void setId(int id);

    int price() const;
    void setPrice(int price);

    bool active() const;
    void setActive(bool active);

    bool salePossible() const;
    void setSalePossible(bool salePossible);

    ServiceType serviceType() const;
    void setServiceType(const ServiceType &serviceType);

    QString accServiceName() const;
    void setAccServiceName(const QString &accServiceName);

private:
    friend class odb::access;
#pragma db id auto
    int m_id;
    QString m_accServiceName;
    int m_price;
    bool m_active;
    bool m_salePossible;
    ServiceType m_serviceType;

};
#endif // ACCSERVICE_H
